update toolchain packages for bionic

Bug #1848319 reported by Matthias Klose on 2019-10-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gcc-7 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
gcc-7-cross (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
gcc-7-cross-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
gcc-8 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned

Bug Description

This is a follow-up to LP: #1814369. I'd like to update the toolchain packages in bionic, to the state which we have in the eoan release in October 2019 (gcc-7), and in focal (gcc-8).

 - gcc-8, update to the gcc-8.3 branch
 - gcc-7, updates to the gcc-7.5.0 release
 - corresponding gcc-cross packages

The package builds are prepared in
https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/ppa/+packages

[Impact]
Provide an upstream release for GCC 7.5, and update GCC 8 to the 8.3
branch

[Regression Potential]
There is regression potential, however with a test rebuild of the main portion of the archive no regressions were found.

[Test Case]
No regressions in the GCC test suite, and no regressions in the test
rebuild of the main component of the archive (all architectures)

As a test, a complete archive rebuild was performed, and no regressions were found with this new package. The archive rebuild also contained updated versions of gcc-7, gcc-8, python-stdlib-extensions and python2.7. The GCC and Python packages should not infer with each other.

[Validation]
Analyze the build logs for regressions.
For the cross builds, just make sure that the packages build using
the updated sources.

Summary of the test rebuilds:
https://people.canonical.com/~doko/ftbfs-report/test-rebuild-20191107-bionic-bionic.html
https://people.canonical.com/~doko/ftbfs-report/test-rebuild-20191107-bionic-gcc7-bionic.html

The first one is a reference build, the second one the test rebuild with the updated components.

There are no additional regressions except for one Python test, which sometimes hangs on the buildds, sometimes passes (test_ttk_guionly). Will
be disabled in a follow-up upload.

Matthias Klose (doko) on 2019-12-04
description: updated

Hello Matthias, or anyone else affected,

Accepted gcc-8 into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.3.0-26ubuntu1~19.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8 (Ubuntu Eoan):
status: New → Fix Committed
tags: added: verification-needed verification-needed-eoan
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7 into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.5.0-3ubuntu1~19.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7 (Ubuntu Eoan):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.3.0-26ubuntu1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Changed in gcc-7 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.5.0-3ubuntu1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7 (Ubuntu):
status: New → Fix Released
Changed in gcc-8 (Ubuntu):
status: New → Fix Released
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7-cross into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross/21ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7-cross-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross-ports/17ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross-ports (Ubuntu Bionic):
status: New → Fix Committed
Terry Rudd (terrykrudd) wrote :

The Canonical kernel team has completed the test-builds of bionic 4.15 and 5.3 kernels with gcc 7.5 and successfully smoke tested them for all supported arches

Łukasz Zemczak (sil2100) wrote :

With this, let's consider the gcc toolchain update as verified. Switching tags.

tags: added: verification-done verification-done-bionic verification-done-eoan
removed: verification-needed verification-needed-bionic verification-needed-eoan

The verification of the Stable Release Update for gcc-7 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7 - 7.5.0-3ubuntu1~19.10

---------------
gcc-7 (7.5.0-3ubuntu1~19.10) eoan-proposed; urgency=medium

  * SRU: LP: #1848319.
  * Backport GCC 7.5.0 to eoan.

gcc-7 (7.5.0-3ubuntu1) focal; urgency=medium

  * Rebuild for isl soname change.

gcc-7 (7.5.0-3) unstable; urgency=medium

  * Rebuild for isl soname change.

gcc-7 (7.5.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.5.0-2) unstable; urgency=medium

  * Stop building -dbg packages, keep building the libstc++6-7-dbg package
    containing just the libstdc++ debug build.

gcc-7 (7.5.0-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.5.0-1) unstable; urgency=medium

  * GCC 7.5.0 release.
  * Refresh patches.

gcc-7 (7.4.0-15ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-15) unstable; urgency=medium

  * GCC 7.5.0 release candidate 1.
  * Update to SVN 20191105 (r277823) from the gcc-7-branch.
    - Fix PR target/91275 (PPC), PR libstdc++/92143, PR target/88167 (ARM),
      PR debug/91887, PR tree-optimization/91812, PR tree-optimization/92131,
      PR target/86040 (AVR), PR rtl-optimization/89721, PR target/89400 (ARM),
      PR target/88630 (SH), PR ada/91995, PR fortran/86248, PR fortran/69455.

 -- Matthias Klose <email address hidden> Wed, 04 Dec 2019 15:25:41 +0100

Changed in gcc-7 (Ubuntu Eoan):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8 - 8.3.0-26ubuntu1~19.10

---------------
gcc-8 (8.3.0-26ubuntu1~19.10) eoan-proposed; urgency=medium

  * SRU: LP: #1848319.
  * Backport GCC 8.3 8.3.0-26ubuntu1 to eoan.

gcc-8 (8.3.0-26ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.3.0-26) unstable; urgency=medium

  * Update to SVN 20191201 (r278885) from the gcc-8-branch.
    - Fix PR fortran/92100, PR fortran/92629, PR driver/89014.
  * Fix applying the gcc-linaro patch.
  * Stop building -dbg packages, keep building the libstc++6-8-dbg package
    containing just the libstdc++ debug build.

gcc-8 (8.3.0-25ubuntu4) focal; urgency=medium

  * Update to SVN 20191127 (r278756) from the gcc-8-branch.
    - Fix PR fortran/92100.
  * Stop building -dbg packages, keep building the libstc++6-8-dbg package
    containing just the libstdc++ debug build.

gcc-8 (8.3.0-25ubuntu2) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
  * Fix applying the Linaro branch.

gcc-8 (8.3.0-25) unstable; urgency=medium

  * Update to SVN 20191126 (r278718) from the gcc-8-branch.
    - Fix PR c/91401, PR tree-optimization/91355, PR middle-end/90840,
      PR target/90867 (x86), PR c/90898, PR middle-end/91450,
      PR c++/92384, PR tree-optimization/92056, PR tree-optimization/91665,
      PR middle-end/91001, PR middle-end/91105, PR middle-end/91106,
      PR middle-end/91623, PR other/92090, PR target/92389 (x86),
      PR target/87833 (x86), PR target/92095 (SPARC), PR fortran/92113,
      PR tree-optimization/85887, PR c++/92201, PR c++/91974,
      PR preprocessor/92296, PR fortran/92569, PR ada/92575.

 -- Matthias Klose <email address hidden> Wed, 04 Dec 2019 15:45:52 +0100

Changed in gcc-8 (Ubuntu Eoan):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (12.8 KiB)

This bug was fixed in the package gcc-7 - 7.5.0-3ubuntu1~18.04

---------------
gcc-7 (7.5.0-3ubuntu1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1848319.
  * Backport GCC 7.5.0 to bionic.

gcc-7 (7.5.0-3ubuntu1) focal; urgency=medium

  * Rebuild for isl soname change.

gcc-7 (7.5.0-3) unstable; urgency=medium

  * Rebuild for isl soname change.

gcc-7 (7.5.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.5.0-2) unstable; urgency=medium

  * Stop building -dbg packages, keep building the libstc++6-7-dbg package
    containing just the libstdc++ debug build.

gcc-7 (7.5.0-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.5.0-1) unstable; urgency=medium

  * GCC 7.5.0 release.
  * Refresh patches.

gcc-7 (7.4.0-15ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-15) unstable; urgency=medium

  * GCC 7.5.0 release candidate 1.
  * Update to SVN 20191105 (r277823) from the gcc-7-branch.
    - Fix PR target/91275 (PPC), PR libstdc++/92143, PR target/88167 (ARM),
      PR debug/91887, PR tree-optimization/91812, PR tree-optimization/92131,
      PR target/86040 (AVR), PR rtl-optimization/89721, PR target/89400 (ARM),
      PR target/88630 (SH), PR ada/91995, PR fortran/86248, PR fortran/69455.

gcc-7 (7.4.0-14ubuntu2) eoan; urgency=medium

  * Update to SVN 20191008 (r276439) from the gcc-7-branch.
    - Fix PR target/91275 (PPC).

gcc-7 (7.4.0-14ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-14) unstable; urgency=medium

  * Update to SVN 20191002 (r276439) from the gcc-7-branch.
    - Fix PR fortran/91557, PR target/86712 (SH), PR target/88562 (SH),
      PR target/82920 (Darwin), PR target/82920 (x86), PR target/80672 (SH),
      PR target/85993 (SH), PR rtl-optimization/88751, PR fortran/91557.
  * Bump standards version.

gcc-7 (7.4.0-13) unstable; urgency=medium

  * Update to SVN 20190912 (r275684) from the gcc-7-branch.
    - Fix PR rtl-optimization/89795, PR fortran/91686.
  * Upload without binary packages after the accidential gcc-7-source
    removal from the archive.

gcc-7 (7.4.0-12ubuntu2) eoan; urgency=medium

  * Re-sync with the real 7.4.0-12 upload.

gcc-7 (7.4.0-12ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-12) unstable; urgency=medium

  * Update to SVN 20190919 (r275519) from the gcc-7-branch.
    - Fix PR libgomp/90585, PR target/90811, PR middle-end/89002, PR c/90474,
      PR sanitizer/90954, PR c++/90108, PR c/89933, PR c/89734,
      PR tree-optimization/90637, PR tree-optimization/90930,
      PR middle-end/90194, PR middle-end/90213, PR tree-optimization/90071,
      PR middle-end/89677, PR target/91481 (PPC), PR target/91150 (x86),
      PR middle-end/78884, PR rtl-optimization/90756, PR c/90760,
      PR middle-end/90139, PR target/90811 (nvptx), PR fortran/90329,
      PR fortran/90329, PR target/90187 (x86), PR tree-optimization/90208,
      P...

Changed in gcc-7 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (12.5 KiB)

This bug was fixed in the package gcc-8 - 8.3.0-26ubuntu1~18.04

---------------
gcc-8 (8.3.0-26ubuntu1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1848319.
  * Backport GCC 8.3 8.3.0-26ubuntu1 to bionic.

gcc-8 (8.3.0-26ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.3.0-26) unstable; urgency=medium

  * Update to SVN 20191201 (r278885) from the gcc-8-branch.
    - Fix PR fortran/92100, PR fortran/92629, PR driver/89014.
  * Fix applying the gcc-linaro patch.
  * Stop building -dbg packages, keep building the libstc++6-8-dbg package
    containing just the libstdc++ debug build.

gcc-8 (8.3.0-25ubuntu4) focal; urgency=medium

  * Update to SVN 20191127 (r278756) from the gcc-8-branch.
    - Fix PR fortran/92100.
  * Stop building -dbg packages, keep building the libstc++6-8-dbg package
    containing just the libstdc++ debug build.

gcc-8 (8.3.0-25ubuntu2) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
  * Fix applying the Linaro branch.

gcc-8 (8.3.0-25) unstable; urgency=medium

  * Update to SVN 20191126 (r278718) from the gcc-8-branch.
    - Fix PR c/91401, PR tree-optimization/91355, PR middle-end/90840,
      PR target/90867 (x86), PR c/90898, PR middle-end/91450,
      PR c++/92384, PR tree-optimization/92056, PR tree-optimization/91665,
      PR middle-end/91001, PR middle-end/91105, PR middle-end/91106,
      PR middle-end/91623, PR other/92090, PR target/92389 (x86),
      PR target/87833 (x86), PR target/92095 (SPARC), PR fortran/92113,
      PR tree-optimization/85887, PR c++/92201, PR c++/91974,
      PR preprocessor/92296, PR fortran/92569, PR ada/92575.

gcc-8 (8.3.0-24ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.3.0-24) unstable; urgency=medium

  * Update to SVN 20191107 (r277923) from the gcc-8-branch.
    - Fix PR target/91275 (PPC), PR fortran/84487, PR libstdc++/92143,
      PR libstdc++/92059, PR target/86487, PR target/65342 (PPC),
      PR target/70010 (PPC), PR target/88167 (ARM), PR debug/91887,
      PR tree-optimization/91812, PR debug/91772, PR tree-optimization/92131,
      PR target/86040 (AVR), PR rtl-optimization/89721, PR target/89400 (ARM),
      PR target/92022 (ALPHA), PR target/88630 (SH), PR c++/88075,
      PR c++/92106, PR ada/91995, PR fortran/86248, PR fortran/69455,
      PR rtl-optimization/85458, PR target/91289 (PPC).

gcc-8 (8.3.0-23ubuntu2) eoan; urgency=medium

  * Update to SVN 20191008 (r276700) from the gcc-8-branch.
    - Fix PR target/91275 (PPC), PR fortran/84487.

gcc-8 (8.3.0-23ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.3.0-23) unstable; urgency=medium

  * Update to SVN 20191002 (r276439) from the gcc-8-branch.
    - Fix PR target/86712 (SH), PR target/88562 (SH), PR target/91854 (SPARC),
      PR target/80672 (SH), PR target/85993 (SH), PR rtl-optimization/88751,
      PR rtl-optimization/89795, PR fortran/91588, PR fortran/91550,
      PR fortran/91557.
  * Bump standards version.

gcc-8 (8.3.0-22ubuntu2...

Changed in gcc-8 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross - 21ubuntu0.4

---------------
gcc-7-cross (21ubuntu0.4) bionic-proposed; urgency=medium

  * SRU: LP: #1848319.
  * Backport GCC 7.5.0 to bionic.

 -- Matthias Klose <email address hidden> Thu, 12 Dec 2019 23:14:26 +0100

Changed in gcc-7-cross (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross-ports - 17ubuntu0.4

---------------
gcc-7-cross-ports (17ubuntu0.4) bionic-proposed; urgency=medium

  * SRU: LP: #1848319.
  * Backport GCC 7.5.0 to bionic.

 -- Matthias Klose <email address hidden> Fri, 13 Dec 2019 15:06:48 +0100

Changed in gcc-7-cross-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in gcc-7-cross (Ubuntu Eoan):
status: New → Invalid
Changed in gcc-7-cross-ports (Ubuntu Eoan):
status: New → Invalid
Changed in gcc-7-cross-ports (Ubuntu):
status: New → Invalid
Changed in gcc-7-cross (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers